Skip to main content
PATCH
https://ageneral.ai
/
v1
/
projects
/
{project_id}
/
members
/
{user_id}
Update member role
curl --request PATCH \
  --url https://ageneral.ai/v1/projects/{project_id}/members/{user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "userId": "<string>",
  "role": "<string>"
}
'
{
  "projectId": "<string>",
  "userId": "<string>",
  "email": "<string>",
  "role": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

Ageneral session JWT. Obtain through web sign-in or extension OAuth.

Path Parameters

project_id
string
required
user_id
string
required

Body

application/json
projectId
string
required
userId
string
required
role
string
required

Response

Success

projectId
string
userId
string
email
string
role
string
createdAt
string